using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace SlnMesnac.Model.domain
{
    [SugarTable("wcs_agv_status"), TenantAttribute("mes")]
    public class WcsAgvStatus
    {
        /// <summary>
        /// 电量
        /// </summary>
        [SugarColumn(ColumnName = "battery")]
        public string Battery { get; set; }

        /// <summary>
        /// 是否已被排除，被排除后不接受新任务（ 1-排除， 0-正常）
        /// </summary>
        [SugarColumn(ColumnName = "exclType")]
        public string ExclType { get; set; }

        /// <summary>
        /// 地图编号
        /// </summary>
        [SugarColumn(ColumnName = "mapCode")]
        public string MapCode { get; set; }

        /// <summary>
        /// 是否在线
        /// </summary>
        [SugarColumn(ColumnName = "online")]
        public string Online { get; set; }
       

        /// <summary>
        /// 路线
        /// </summary>
        [SugarColumn(ColumnName = "path")]
        public string Path { get; set; }

        /// <summary>
        /// 背货架的编号
        /// </summary>
        [SugarColumn(ColumnName = "podCode")]
        public string PodCode { get; set; }

        /// <summary>
        /// 背货架的方向
        /// </summary>
        [SugarColumn(ColumnName = "podDir")]
        public string PodDir { get; set; }

        /// <summary>
        /// X
        /// </summary>
        [SugarColumn(ColumnName = "posX")]
        public string PosX { get; set; }

        /// <summary>
        /// Y
        /// </summary>
        [SugarColumn(ColumnName = "posY")]
        public string PosY { get; set; }

        /// <summary>
        /// 机器人编号
        /// </summary>
        [SugarColumn(ColumnName = "robotCode", IsPrimaryKey = true)]
        public string RobotCode { get; set; }

        /// <summary>
        /// 机器人方向 (范围 -180~360度)
        /// </summary>
        [SugarColumn(ColumnName = "robotDir")]
        public string RobotDir { get; set; }

        /// <summary>
        /// 机器人Ip
        /// </summary>
        [SugarColumn(ColumnName = "robotIp")]
        public string RobotIp { get; set; }

        /// <summary>
        /// 机器人速度
        /// </summary>
        [SugarColumn(ColumnName = "speed")]
        public string Speed { get; set; }

        /// <summary>
        /// 机器人状态
        /// </summary>
        [SugarColumn(ColumnName = "status")]
        public string Status { get; set; }

    

        /// <summary>
        /// 是否暂停 0-否 1-是
        /// </summary>
        [SugarColumn(ColumnName = "stop")]
        public string Stop { get; set; }

        /// <summary>
        /// 时间
        /// </summary>
        [SugarColumn(ColumnName = "timestamp")]
        public DateTime? Timestamp { get; set; }

        /// <summary>
        /// 小车名称
        /// </summary>
        [SugarColumn(ColumnName = "agvName")]
        public string AgvName { get; set; }


        /// <summary>
        /// 机器人状态说明
        /// </summary>
        public string StatusDefine { get; set; }
    }
}
